Bug 448874 - Review Request: pyroom - PyRoom is a full screen text editor and a clone of Writeroom
Summary: Review Request: pyroom - PyRoom is a full screen text editor and a clone of W...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-29 07:18 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 06:48:26 UTC
Type: ---
rpandit: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2008-05-29 07:18:09 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/pyroom.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/pyroom-0.2.1-1.fc9.src.rpm
Description: 
PyRoom is full-screen text editor, without buttons, menu, formatting, so you can
focus on writing, and only writing. It is written in Python + GTK and it's Free and free. It is also a clone of Writeroom.

Comment 1 Mamoru TASAKA 2008-05-29 08:18:00 UTC
* rpmlint issue
---------------------------------------------------------------------
pyroom.noarch: E: description-line-too-long PyRoom is full-screen text editor,
without buttons, menu, formatting, so you can
pyroom.src: E: description-line-too-long PyRoom is full-screen text editor,
without buttons, menu, formatting, so you can
pyroom.noarch: E: description-line-too-long focus on writing, and only writing.
It is written in Python + GTK and it's Free and free.
pyroom.src: E: description-line-too-long focus on writing, and only writing. It
is written in Python + GTK and it's Free and free.
pyroom.noarch: W: devel-file-in-non-devel-package
/usr/share/pyroom/interface.glade.h
pyroom.noarch: W: invalid-license GPlv3+
pyroom.src: W: invalid-license GPlv3+
pyroom.noarch: E: no-changelogname-tag
pyroom.src: E: no-changelogname-tag
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/autosave.py
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/basic_edit.py
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/gui.py
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/interface.glade
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/preferences.py
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/pyroom_error.py
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/amber.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/banker.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/blue.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/c64.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/cupid.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/custom.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/darkgreen.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/green.theme
pyroom.noarch: E: script-without-shebang /usr/share/pyroom/themes/locontrast.theme
pyroom.noarch: W: spurious-executable-perm /usr/share/pyroom/interface.glade.h
-------------------------------------------------------------------
  - Please fix the description
  - Please fix the license tag
  - Also fix the permissions
  - Please explain why some header files are needed
  - Please write %changelog properly

* Timestamps
  - When using "cp" or "install" commands, add "-p" option to
    keep timestamps on installed files

* python module dependency
  - Please examine the dependency for python module related rpms
    As far as I checked this package, pygtk2, pygtksourceview
    (and even more?) is needed.

* some cleanup
  - For installing gettext .mo file, perhaps something like
-----------------------------------------------------
for lang in ar ca cy da es fi fr_FR it pt pt_BR
   do
   dir=locale/$lang/LC_MESSAGES/
   %_mkdir_p $RPM_BUILD_ROOT%_datadir/$dir
   install -cpm 644 $dir/%name.mo $RPM_BUILD_ROOT%_datadir/$dir
done
-----------------------------------------------------
    is smarter?

Comment 2 Rahul Sundaram 2008-05-30 02:07:25 UTC
Thanks for the review. Take a look again:

Spec URL: http://sundaram.fedorapeople.org/packages/pyroom.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/pyroom-0.2.1-2.fc9.src.rpm


Comment 3 Michel Alexandre Salim 2008-06-04 02:55:15 UTC
Mamoru, are you officially reviewing this? In which case, please assign the bug
to yourself and set the fedora-review flag to "?". Otherwise I'll take a look.

Comment 4 Michel Alexandre Salim 2008-06-04 03:15:06 UTC
The runtime dependency should be on gnome-python2-gtksourceview, not
pygtksourceview (the latter provides the gtksourceview2 module, but pyroom uses
gtksourceview instead). Since pyroom does not do any syntax highlighting (it's
monochrome), any idea what they actually use it for?

Oh, would be nice to have a desktop file to go with it too.

Thanks,

-- 
Michel

Comment 5 Mamoru TASAKA 2008-06-04 08:58:28 UTC
Sorry for delay. Michel, if you want please assign this bug to
yourself.

Comment 6 Jason Tibbitts 2008-06-27 01:25:57 UTC
So did anyone decide to pick this package up?

All that's left from rpmlint is:
  pyroom.noarch: E: script-without-shebang /usr/share/pyroom/pyroom_error.py
  pyroom.noarch: E: script-without-shebang /usr/share/pyroom/autosave.py
  pyroom.noarch: E: script-without-shebang /usr/share/pyroom/gui.py
  pyroom.noarch: E: script-without-shebang /usr/share/pyroom/preferences.py
  pyroom.noarch: E: script-without-shebang /usr/share/pyroom/basic_edit.py
I don't see why these are executable; a quick chmod should fix them.

I think something's wrong with the Source0: URL; spectool gets a 404 trying to
download it.

I agree that a .desktop file is needed.

Otherwise I think this looks good, and if nobody else wants to review it I'll be
happy to take a look at an updated package.



Comment 7 Rahul Sundaram 2008-07-21 19:57:55 UTC
Ok, I finally managed to get some time on this.

http://sundaram.fedorapeople.org/packages/pyroom.spec
http://sundaram.fedorapeople.org/packages/pyroom-0.2.1-3.fc9.src.rpm

Comment 8 Rakesh Pandit 2008-07-24 05:37:14 UTC
Rahul, Jason: I would be happy to review it. May be today late or at most 
tommorrow. 

Comment 9 Rakesh Pandit 2008-07-24 17:49:06 UTC
Package is APPROVED

Required:
[x] rpmlint output - clean
[x] package name & spec name -- correct. pyroom is acceptable as upstream "py"
[x] packaging guideline
[x] fedora approved license
[x] license field in spec - correct
[x] LICENSE included in %{doc}
[x] spec file -- AMERICAN english
[x] spec file - legible
[x] md5sum
      Upstream: c8d9ff35153554f5388a4f24a0ed0dad
      Source: c8d9ff35153554f5388a4f24a0ed0dad
[x] package successfully compiles and builds (build on koji)
[x] BuildRequires -- correct
[x] Requires -- correct
[x] locales -- handled
[NA] shared libraries, header files and static libraries
[x] owns all directories it creates
[x] file permissions correct
[x] no duplicates in %files section
[x] %install and %clean section have rm -rf $RPM_BUILD
[x] nothing in %doc effects application
[x] GUI -- %{name}.desktop included
[x] all files have valid encoding -- utf8
[x] py files are byte compiled. Included in %files -- so package removal does 
not left behind files
[NA] unnecessary byte compilation -- no py files in bin instead a script used. 

Optional:
[NA] No need to upstream for LICENSE
[?] you may like to check whether description and summary sections are 
available in other
     languages. -- (very much optional)
[x]  builds on koji
[x] script add is sane
[x] no dependencies paths outside FHS guidelines 

Optional Suggestions(you may not consider using them):
1. Use either $RPM_BUILD_ROOT or %{buildroot} consistently
2. you can use '--vendor fedora'
3. There are some extra lines in spec -- you may consider using
     uniform layout
4. %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) is preferred 
BuildRoot tag

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated


Comment 10 Rahul Sundaram 2008-07-30 04:45:21 UTC
New Package CVS Request
=======================
Package Name: pyroom
Short Description: PyRoom is a full screen text editor and a clone of Writeroom
Owners: sundaram
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 11 Kevin Fenzi 2008-07-30 16:38:40 UTC
cvs done.

Comment 12 Fedora Update System 2008-07-30 18:54:32 UTC
pyroom-0.2.1-3.fc9 has been submitted as an update for Fedora 9

Comment 13 Fedora Update System 2008-07-30 18:54:33 UTC
pyroom-0.2.1-3.fc8 has been submitted as an update for Fedora 8

Comment 14 Fedora Update System 2008-08-01 01:48:56 UTC
pyroom-0.2.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyroom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6939

Comment 15 Rakesh Pandit 2008-09-03 14:11:38 UTC
Any update on this when you planning to push it to stables ?
As soon as you do please close this request.

Thanks,

Comment 16 Michel Alexandre Salim 2008-09-03 18:15:09 UTC
A stable push would automatically close the request by default, right? Though I guess this can be closed with NEXTRELEASE or RAWHIDE already.

Comment 17 Fedora Update System 2008-09-10 06:48:23 UTC
pyroom-0.2.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2008-09-10 06:55:23 UTC
pyroom-0.2.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.